Skip to main content

Accounts

Make a GET request to /accounts to retrieve information about the account associated with your API key. This is a useful route to get summary stats about your account's JOFI usage and configured webhook settings.

Use GET /email-templates to look up valid email template IDs for your account.

GET /accounts
{
"mode": "live",
"object": "account",
"id": 68,
"display_name": "CoffeeBean Inc",
"display_name_external": "The Coffee Company",
"teams_count": 3,
"users_count": 3,
"invitations_count": 162,
"test_takers_seats_used_count": 98,
"prescreens_completed_count": 16,
"thinking_skills_completed_count": 21,
"personality_completed_count": 55,
"career_interests_completed_count": 47,
"webhook_endpoint": "https://www.example.com/webhooks/jofi",
"webhooks_enabled": true
}

Response fields

FieldDescription
mode"live" or "test" depending on your API key
objectAlways "account"
idAccount ID
display_nameInternal account name
display_name_externalExternal-facing account name, or null if unset
teams_countNumber of teams in the account
users_countNumber of users in the account
invitations_countTotal invitations across all teams
test_takers_seats_used_countTest taker seats currently in use
prescreens_completed_countCompleted Prescreen assessments
thinking_skills_completed_countCompleted Thinking Skills assessments
personality_completed_countCompleted Personality assessments
career_interests_completed_countCompleted Career Interests assessments
webhook_endpointConfigured production webhook URL, or null if none is set or the stored value is not a valid URL. See Webhooks.
webhooks_enabledWhether JOFI enqueues production webhook deliveries for this account. Requires a valid live webhook URL to deliver events. See Webhooks.

With a test API key, returns a fake account object. See API Keys.